org.hibernate.validator.internal.xml

## Class ConstraintMappingsType

- java.lang.Object
- - org.hibernate.validator.internal.xml.ConstraintMappingsType

-     public class ConstraintMappingsType
      extends Object

  Java class for constraint-mappingsType complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="constraint-mappingsType">
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <sequence>
               <element name="default-package" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
               <element name="bean" type="{http://jboss.org/xml/ns/javax/validation/mapping}beanType" maxOccurs="unbounded" minOccurs="0"/>
               <element name="constraint-definition" type="{http://jboss.org/xml/ns/javax/validation/mapping}constraint-definitionType" maxOccurs="unbounded" minOccurs="0"/>
             </sequence>
             <attribute name="version" use="required" type="{http://jboss.org/xml/ns/javax/validation/mapping}versionType" fixed="1.1" />
           </restriction>
         </complexContent>
       </complexType>

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected List<BeanType>` | `bean`
    `protected List<ConstraintDefinitionType>` | `constraintDefinition`
    `protected String` | `defaultPackage`
    `protected String` | `version`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ConstraintMappingsType()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `List<BeanType>` | `getBean()` Gets the value of the bean property.
    `List<ConstraintDefinitionType>` | `getConstraintDefinition()` Gets the value of the constraintDefinition property.
    `String` | `getDefaultPackage()` Gets the value of the defaultPackage property.
    `String` | `getVersion()` Gets the value of the version property.
    `void` | `setDefaultPackage(String value)` Sets the value of the defaultPackage property.
    `void` | `setVersion(String value)` Sets the value of the version property.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### defaultPackage

          protected String defaultPackage

    - #### bean

          protected List<BeanType> bean

    - #### constraintDefinition

          protected List<ConstraintDefinitionType> constraintDefinition

    - #### version

          protected String version

  - ### Constructor Detail

    - #### ConstraintMappingsType

          public ConstraintMappingsType()

  - ### Method Detail

    - #### getDefaultPackage

          public String getDefaultPackage()

      Gets the value of the defaultPackage property.
      Returns:
        possible object is `String`

    - #### setDefaultPackage

          public void setDefaultPackage(String value)

      Sets the value of the defaultPackage property.
      Parameters:
        `value` - allowed object is `String`

    - #### getBean

          public List<BeanType> getBean()

      Gets the value of the bean property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the bean property.

      For example, to add a new item, do as follows:

              getBean().add(newItem);

      Objects of the following type(s) are allowed in the list `BeanType`

    - #### getConstraintDefinition

          public List<ConstraintDefinitionType> getConstraintDefinition()

      Gets the value of the constraintDefinition property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the constraintDefinition property.

      For example, to add a new item, do as follows:

              getConstraintDefinition().add(newItem);

      Objects of the following type(s) are allowed in the list `ConstraintDefinitionType`

    - #### getVersion

          public String getVersion()

      Gets the value of the version property.
      Returns:
        possible object is `String`

    - #### setVersion

          public void setVersion(String value)

      Sets the value of the version property.
      Parameters:
        `value` - allowed object is `String`

Copyright © 2007-2014 Red Hat, Inc. All Rights Reserved